#### D.13.7.2 val

Procedure from library `tropicalNewton.lib` (see tropicalNewton_lib).

Usage:
  val(c); c number

Return:
  int, the valuation of a element in the ground field

Assume:
  uniformizingParameter is set and c!=0

Example:

    LIB "tropicalNewton.lib";
    // poor man's polynomials over Puiseux series:
    ring r = (0,t),x,dp;
    setUniformizingParameter(t);
    val(t2+t3);
    ==> 2
    val(t^-2+t^-3);
    ==> -3
    // poor man's polynomials over p-adic numbers:
    ring s = 0,x,dp;
    setUniformizingParameter(2);
    val(12);
    ==> 2
    val(1/12);
    ==> -2

User manual for Singular version 4.4.1, 2025, generated by texi2html.